Skip to content

Get Callback URLs

GET
/v1/merchant/callbacks

Retrieves callbacks URLs for a Bolt merchant division.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Query Parameters

division_id*string

The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/merchant/callbacks?division_id=string"
{  "callback_urls": [    {      "type": "oauth_redirect",      "url": "https://example.com/1"    },    {      "type": "oauth_logout",      "url": "https://example.com/2"    },    {      "type": "get_account",      "url": "https://example.com/3"    }  ]}